searchData={"items":[{"type":"module","title":"ExShopifySchema","doc":"Documentation for `ExShopifySchema`.","ref":"ExShopifySchema.html"},{"type":"module","title":"ExShopifySchema.EctoTypes.Enum","doc":"Ecto type for GraphQL Enum types. It's a workaround for backward-compatibility.\n\nYou can control how the enum values are handled by:\n\n    config :ex_shopify_schema, :ecto_types, enum: :string\n\nThe default is `:atom`, which means that the enum values are treated as atom.","ref":"ExShopifySchema.EctoTypes.Enum.html"},{"type":"function","title":"ExShopifySchema.EctoTypes.Enum.cast/2","doc":"Callback implementation for  Ecto.ParameterizedType.cast/2 .","ref":"ExShopifySchema.EctoTypes.Enum.html#cast/2"},{"type":"function","title":"ExShopifySchema.EctoTypes.Enum.dump/3","doc":"Callback implementation for  Ecto.ParameterizedType.dump/3 .","ref":"ExShopifySchema.EctoTypes.Enum.html#dump/3"},{"type":"function","title":"ExShopifySchema.EctoTypes.Enum.dump_values/2","doc":"See  Ecto.Enum.dump_values/2 .","ref":"ExShopifySchema.EctoTypes.Enum.html#dump_values/2"},{"type":"function","title":"ExShopifySchema.EctoTypes.Enum.format/1","doc":"Callback implementation for  Ecto.ParameterizedType.format/1 .","ref":"ExShopifySchema.EctoTypes.Enum.html#format/1"},{"type":"function","title":"ExShopifySchema.EctoTypes.Enum.init/1","doc":"Callback implementation for  Ecto.ParameterizedType.init/1 .","ref":"ExShopifySchema.EctoTypes.Enum.html#init/1"},{"type":"function","title":"ExShopifySchema.EctoTypes.Enum.load/3","doc":"Callback implementation for  Ecto.ParameterizedType.load/3 .","ref":"ExShopifySchema.EctoTypes.Enum.html#load/3"},{"type":"function","title":"ExShopifySchema.EctoTypes.Enum.mappings/2","doc":"See  Ecto.Enum.mappings/2 .","ref":"ExShopifySchema.EctoTypes.Enum.html#mappings/2"},{"type":"function","title":"ExShopifySchema.EctoTypes.Enum.type/1","doc":"Callback implementation for  Ecto.ParameterizedType.type/1 .","ref":"ExShopifySchema.EctoTypes.Enum.html#type/1"},{"type":"function","title":"ExShopifySchema.EctoTypes.Enum.values/2","doc":"See  Ecto.Enum.values/2 .","ref":"ExShopifySchema.EctoTypes.Enum.html#values/2"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection","doc":"This module provides the structure for GraphQL introspection data.\nThe definitions for each version of the Shopify GraphQL API are dynamically defined from JSON files.\nEach version can be accessed through like this `ExShopifySchema.Graphql.Introspection.Definitions.V202501`.","ref":"ExShopifySchema.Generator.Graphql.Introspection.html"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.versions/0","doc":"Returns a list of all available GraphQL introspection versions.","ref":"ExShopifySchema.Generator.Graphql.Introspection.html#versions/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Schema","doc":"Schemas to cast Shopify resources into structured data.\n\n## `loadable_field`\n\nSame usage as `Ecto.Schema.field/3` but with a default value of `ExShopifySchema.Graphql.Schema.FieldNotLoaded`.\n\nIn GraphQL, fields are not always loaded, so we use this default value to indicate that a field is not loaded.\nOtherwise, we would have to use `nil` which would be ambiguous.","ref":"ExShopifySchema.Generator.Graphql.Schema.html"},{"type":"module","title":"Usage - ExShopifySchema.Generator.Graphql.Schema","doc":"defmodule ExShopifySchema.Generator.Graphql.Schemas.Shop do\n      use ExShopifySchema.Generator.Graphql.Schema\n\n      @primary_key false\n      typed_embedded_schema do\n        loadable_field :id, :string\n        loadable_field :name, :string\n      end\n    end","ref":"ExShopifySchema.Generator.Graphql.Schema.html#module-usage"},{"type":"macro","title":"ExShopifySchema.Generator.Graphql.Schema.loadable_field/3","doc":"Same usage as `Ecto.Schema.field/3` but with a default value of `ExShopifySchema.Graphql.Schema.FieldNotLoaded`.\nSource: https://github.com/elixir-ecto/ecto/blob/v3.11.1/lib/ecto/schema.ex#L750","ref":"ExShopifySchema.Generator.Graphql.Schema.html#loadable_field/3"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Schema.FieldNotLoaded","doc":"Fallback in case a field is not loaded.","ref":"ExShopifySchema.Generator.Graphql.Schema.FieldNotLoaded.html"},{"type":"module","title":"ExShopifySchema.Types","doc":"This module provides utility functions for defining types.","ref":"ExShopifySchema.Types.html"},{"type":"function","title":"ExShopifySchema.Types.make_sum_type/1","doc":"Make [sum type](https://en.wikipedia.org/wiki/Tagged_union).","ref":"ExShopifySchema.Types.html#make_sum_type/1"},{"type":"function","title":"Example - ExShopifySchema.Types.make_sum_type/1","doc":"iex> ExShopifySchema.Types.make_sum_type([:foo, :bar, :baz])\n    quote do :foo | :bar | :baz end","ref":"ExShopifySchema.Types.html#make_sum_type/1-example"},{"type":"function","title":"Usage - ExShopifySchema.Types.make_sum_type/1","doc":"```elixir\ndefmodule MyApp.MyType do\n  @type t() :: unquote(ExShopifySchema.Types.make_sum_type([:foo, :bar, :baz]))\n  # equals to\n  @type t_equivalent() :: :foo | :bar | :baz\nend\n```","ref":"ExShopifySchema.Types.html#make_sum_type/1-usage"},{"type":"module","title":"Mix.ExShopifySchema","doc":"Conveniences for writing ExShopifySchema related Mix tasks.","ref":"Mix.ExShopifySchema.html"},{"type":"function","title":"Mix.ExShopifySchema.generate_object_like/2","doc":"","ref":"Mix.ExShopifySchema.html#generate_object_like/2"},{"type":"function","title":"Mix.ExShopifySchema.generate_scalar/2","doc":"","ref":"Mix.ExShopifySchema.html#generate_scalar/2"},{"type":"task","title":"mix ex_shopify_schema.gen.graphql_schemas","doc":"Generates `ExShopifySchema` GraphQL schemas from introspection data.","ref":"Mix.Tasks.ExShopifySchema.Gen.GraphqlSchemas.html"},{"type":"task","title":"Example - mix ex_shopify_schema.gen.graphql_schemas","doc":"$ mix ex_shopify_schema.gen.graphql_schemas","ref":"Mix.Tasks.ExShopifySchema.Gen.GraphqlSchemas.html#module-example"},{"type":"task","title":"Environment Variables - mix ex_shopify_schema.gen.graphql_schemas","doc":"- `SHOPIFY_VERSION`: The Shopify API version to generate schemas for. This should be in the format `YYYY-MM` (e.g., `2023-10`).\n  If not set, the task will attempt to use the latest available version from the introspection data.","ref":"Mix.Tasks.ExShopifySchema.Gen.GraphqlSchemas.html#module-environment-variables"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition","doc":"This module defines the structure of the GraphQL introspection data.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.html"},{"type":"module","title":"Build introspection from json data - ExShopifySchema.Generator.Graphql.Introspection.Definition","doc":"iex> json = file_path |> File.read!() |> Jason.decode!()\n    iex> ExShopifySchema.Graphql.Introspection.Definition.build(json)\n    #=> %ExShopifySchema.Graphql.Introspection.Definition{}","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.html#module-build-introspection-from-json-data"},{"type":"module","title":"Define a new definition schema - ExShopifySchema.Generator.Graphql.Introspection.Definition","doc":"defmodule ExShopifySchema.Generator.Graphql.Introspection.Definition.MyDefinition do\n      use ExShopifySchema.Generator.Graphql.Introspection.Definition\n\n      schema do\n        field :my_field, String.t()\n        deprecatable_fields()\n      end\n    end","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.html#module-define-a-new-definition-schema"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.build/1","doc":"Builds a GraphQL introspection definition from the introspection JSON data.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.html#build/1"},{"type":"macro","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.deprecatable_fields/0","doc":"Defines the fields that are common to all GraphQL types that can be deprecated.\n\nThis macro is used to define the `is_deprecated` and `deprecation_reason` fields conveniently.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.html#deprecatable_fields/0"},{"type":"macro","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.schema/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.html#schema/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.html#t:t/0"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.type/0","doc":"The fundamental unit of any GraphQL Schema is the type.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.html#t:type/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ConstArgument","doc":"Fields are conceptually functions which return values,\nand occasionally accept arguments which alter their behavior.\nThese arguments often map directly to function arguments within\na GraphQL service’s implementation.\n\n \n\nNote that this definition isn't used by Shopify, we'll keep it here for\ncompleteness and future extensibility.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ConstArgument.html"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ConstArgument.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ConstArgument.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ConstArgument.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ConstArgument.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ConstDirective","doc":"Directives provide a way to describe alternate runtime execution and\ntype validation behavior in a GraphQL document.\n\n \n\nNote that this definition isn't used by Shopify, we'll keep it here for\ncompleteness and future extensibility.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ConstDirective.html"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ConstDirective.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ConstDirective.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ConstDirective.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ConstDirective.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Directive","doc":"Directives provide a way to describe alternate runtime execution and type validation behavior in a GraphQL document.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Directive.html"},{"type":"module","title":"Example introspection payload - ExShopifySchema.Generator.Graphql.Introspection.Definition.Directive","doc":"```json\n  {\n    \"name\": \"deprecated\",\n    \"description\": \"Marks an element of a GraphQL schema as no longer supported.\",\n    \"locations\": [\n      \"FIELD_DEFINITION\",\n      \"ENUM_VALUE\",\n      \"ARGUMENT_DEFINITION\",\n      \"INPUT_FIELD_DEFINITION\"\n    ],\n    \"args\": [\n      {\n        \"name\": \"reason\",\n        \"description\": \"Explains why this element was deprecated, usually also including a suggestion for how to access supported similar data. Formatted in [Markdown](https://daringfireball.net/projects/markdown/).\",\n        \"type\": {\n          \"kind\": \"SCALAR\",\n          \"name\": \"String\",\n          \"ofType\": null\n        },\n        \"defaultValue\": \"\\\"No longer supported\\\"\",\n        \"isDeprecated\": false,\n        \"deprecationReason\": null\n      }\n    ]\n  }\n  ```","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Directive.html#module-example-introspection-payload"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Directive.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Directive.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Directive.location/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Directive.html#t:location/0"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Directive.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Directive.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.EnumType","doc":"Enum types describe the set of possible values.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.EnumType.html"},{"type":"module","title":"Example introspection payload - ExShopifySchema.Generator.Graphql.Introspection.Definition.EnumType","doc":"```json\n{\n  \"kind\": \"ENUM\",\n  \"name\": \"ResourceOperationStatus\",\n  \"description\": \"Represents the state of this catalog operation.\",\n  \"fields\": null,\n  \"inputFields\": null,\n  \"interfaces\": null,\n  \"enumValues\": [\n    {\n      \"name\": \"CREATED\",\n      \"description\": \"Operation has been created.\",\n      \"isDeprecated\": false,\n      \"deprecationReason\": null\n    },\n    {\n      \"name\": \"ACTIVE\",\n      \"description\": \"Operation is currently running.\",\n      \"isDeprecated\": false,\n      \"deprecationReason\": null\n    },\n    {\n      \"name\": \"COMPLETE\",\n      \"description\": \"Operation is complete.\",\n      \"isDeprecated\": false,\n      \"deprecationReason\": null\n    }\n  ],\n  \"possibleTypes\": null\n}\n```","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.EnumType.html#module-example-introspection-payload"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.EnumType.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.EnumType.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.EnumType.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.EnumType.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.EnumValue","doc":"Enum values represent possible values for enum types.\n\nSee details in the `ExShopifySchema.Graphql.Introspection.Definition.EnumType`.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.EnumValue.html"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.EnumValue.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.EnumValue.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.EnumValue.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.EnumValue.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Field","doc":"GraphQL Objects represent a list of named fields,\neach of which yield a value of a specific type.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Field.html"},{"type":"module","title":"Example introspection payload - ExShopifySchema.Generator.Graphql.Introspection.Definition.Field","doc":"```json\n{\n  \"name\": \"confirmed\",\n  \"description\": \"Whether inventory has been reserved for the order.\",\n  \"args\": [],\n  \"type\": {\n    \"kind\": \"NON_NULL\",\n    \"name\": null,\n    \"ofType\": {\n      \"kind\": \"SCALAR\",\n      \"name\": \"Boolean\",\n      \"ofType\": null\n    }\n  },\n  \"isDeprecated\": false,\n  \"deprecationReason\": null\n}\n```","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Field.html#module-example-introspection-payload"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Field.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Field.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Field.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Field.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InputObjectType","doc":"Fields may accept arguments to configure their behavior.\nThese inputs are often scalars or enums, but they sometimes need to represent more complex values.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InputObjectType.html"},{"type":"module","title":"Example introspection payload - ExShopifySchema.Generator.Graphql.Introspection.Definition.InputObjectType","doc":"```json\n{\n  \"kind\": \"INPUT_OBJECT\",\n  \"name\": \"OrderCaptureInput\",\n  \"description\": \"The input fields for the authorized transaction to capture and the total amount to capture from it.\",\n  \"fields\": null,\n  \"inputFields\": [\n    {\n      \"name\": \"id\",\n      \"description\": \"The ID of the order to capture.\",\n      \"type\": {\n        \"kind\": \"NON_NULL\",\n        \"name\": null,\n        \"ofType\": {\n          \"kind\": \"SCALAR\",\n          \"name\": \"ID\",\n          \"ofType\": null\n        }\n      },\n      \"defaultValue\": null,\n      \"isDeprecated\": false,\n      \"deprecationReason\": null\n    },\n    {\n      \"name\": \"parentTransactionId\",\n      \"description\": \"The ID of the authorized transaction to capture.\",\n      \"type\": {\n        \"kind\": \"NON_NULL\",\n        \"name\": null,\n        \"ofType\": {\n          \"kind\": \"SCALAR\",\n          \"name\": \"ID\",\n          \"ofType\": null\n        }\n      },\n      \"defaultValue\": null,\n      \"isDeprecated\": false,\n      \"deprecationReason\": null\n    },\n    {\n      \"name\": \"amount\",\n      \"description\": \"The amount to capture. The capture amount can't be greater than the amount of the authorized transaction.\",\n      \"type\": {\n        \"kind\": \"NON_NULL\",\n        \"name\": null,\n        \"ofType\": {\n          \"kind\": \"SCALAR\",\n          \"name\": \"Money\",\n          \"ofType\": null\n        }\n      },\n      \"defaultValue\": null,\n      \"isDeprecated\": false,\n      \"deprecationReason\": null\n    },\n    {\n      \"name\": \"currency\",\n      \"description\": \"The currency (in ISO format) that's used to capture the order. This must be the presentment currency (the currency used by the customer) and is a required field for orders where the currency and presentment currency differ.\",\n      \"type\": {\n        \"kind\": \"ENUM\",\n        \"name\": \"CurrencyCode\",\n        \"ofType\": null\n      },\n      \"defaultValue\": null,\n      \"isDeprecated\": false,\n      \"deprecationReason\": null\n    }\n  ],\n  \"interfaces\": null,\n  \"enumValues\": null,\n  \"possibleTypes\": null\n}\n```","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InputObjectType.html#module-example-introspection-payload"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InputObjectType.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InputObjectType.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InputObjectType.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InputObjectType.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InputValue","doc":"The fields of an input object type.\n\n \n\nSee detail in the `ExShopifySchema.Graphql.Introspection.Definition.InputObject`.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InputValue.html"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InputValue.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InputValue.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InputValue.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InputValue.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InterfaceType","doc":"GraphQL interfaces represent a list of named fields and their arguments.\nGraphQL objects and interfaces can then implement these interfaces\nwhich requires that the implementing type will define all fields\ndefined by those interfaces.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InterfaceType.html"},{"type":"module","title":"Example introspection payload - ExShopifySchema.Generator.Graphql.Introspection.Definition.InterfaceType","doc":"```json\n{\n  \"kind\": \"INTERFACE\",\n  \"name\": \"Node\",\n  \"description\": \"An object with an ID field to support global identification, in accordance with the\\n[Relay specification](https://relay.dev/graphql/objectidentification.htm#sec-Node-Interface).\\nThis interface is used by the [node](https://shopify.dev/api/admin-graphql/unstable/queries/node)\\nand [nodes](https://shopify.dev/api/admin-graphql/unstable/queries/nodes) queries.\",\n  \"fields\": [\n    {\n      \"name\": \"id\",\n      \"description\": \"A globally-unique ID.\",\n      \"args\": [],\n      \"type\": {\n        \"kind\": \"NON_NULL\",\n        \"name\": null,\n        \"ofType\": {\n          \"kind\": \"SCALAR\",\n          \"name\": \"ID\",\n          \"ofType\": null\n        }\n      },\n      \"isDeprecated\": false,\n      \"deprecationReason\": null\n    }\n  ],\n  \"inputFields\": null,\n  \"interfaces\": [],\n  \"enumValues\": null,\n  \"possibleTypes\": [\n    {\n      \"kind\": \"OBJECT\",\n      \"name\": \"AbandonedCheckout\",\n      \"ofType\": null\n    },\n    {\n      \"kind\": \"OBJECT\",\n      \"name\": \"AbandonedCheckoutLineItem\",\n      \"ofType\": null\n    },\n    {\n      \"kind\": \"OBJECT\",\n      \"name\": \"Abandonment\",\n      \"ofType\": null\n    },\n    {\n      \"kind\": \"OBJECT\",\n      \"name\": \"AddAllProductsOperation\",\n      \"ofType\": null\n    }\n  ]\n}\n```","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InterfaceType.html#module-example-introspection-payload"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InterfaceType.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InterfaceType.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InterfaceType.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.InterfaceType.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ListType","doc":"A GraphQL list is a special collection type which declares the\ntype of each item in the List (referred to as the item type of the list).\nList values are serialized as ordered lists, where each item in\nthe list is serialized as per the item type.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ListType.html"},{"type":"module","title":"Example introspection payload - ExShopifySchema.Generator.Graphql.Introspection.Definition.ListType","doc":"```json\n{\n  \"kind\": \"LIST\",\n  \"name\": null,\n  \"ofType\": {\n    \"kind\": \"NON_NULL\",\n    \"name\": null,\n    \"ofType\": {\n      \"kind\": \"SCALAR\",\n      \"name\": \"String\",\n      \"ofType\": null\n    }\n  }\n}\n```","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ListType.html#module-example-introspection-payload"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ListType.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ListType.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ListType.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ListType.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.NamedType","doc":"The fundamental unit of any GraphQL Schema is the type.\nThere are six kinds of named type definitions in GraphQL, and two wrapping types.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.NamedType.html"},{"type":"module","title":"Example introspection payload - ExShopifySchema.Generator.Graphql.Introspection.Definition.NamedType","doc":"```json\n{\n  \"kind\": \"SCALAR\",\n  \"name\": \"ARN\",\n  \"description\": \"An Amazon Web Services Amazon Resource Name (ARN), including the Region and account ID.\\nFor more information, refer to [Amazon Resource Names](https://docs.aws.amazon.com/general/latest/gr/aws-arns-and-namespaces.html).\",\n  \"fields\": null,\n  \"inputFields\": null,\n  \"interfaces\": null,\n  \"enumValues\": null,\n  \"possibleTypes\": null\n}\n```","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.NamedType.html#module-example-introspection-payload"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.NamedType.kind/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.NamedType.html#t:kind/0"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.NamedType.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.NamedType.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.NamedType.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.NamedType.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.NonNullType","doc":"By default, all types in GraphQL are nullable;\nthe null value is a valid response for all of the above types.\nTo declare a type that disallows null, the GraphQL Non-Null type can be used.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.NonNullType.html"},{"type":"module","title":"Example introspection payload - ExShopifySchema.Generator.Graphql.Introspection.Definition.NonNullType","doc":"```json\n{\n  \"kind\": \"NON_NULL\",\n  \"name\": null,\n  \"ofType\": {\n    \"kind\": \"SCALAR\",\n    \"name\": \"String\",\n    \"ofType\": null\n  }\n}\n```","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.NonNullType.html#module-example-introspection-payload"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.NonNullType.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.NonNullType.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.NonNullType.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.NonNullType.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ObjectType","doc":"GraphQL Objects represent a list of named fields, each of which yield a value of a specific type.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ObjectType.html"},{"type":"module","title":"Example introspection payload - ExShopifySchema.Generator.Graphql.Introspection.Definition.ObjectType","doc":"```json\n{\n  \"kind\": \"OBJECT\",\n  \"name\": \"AppCatalog\",\n  \"description\": \"A catalog that defines the publication associated with an app.\",\n  \"fields\": [\n    {\n      \"name\": \"apps\",\n      \"description\": \"The apps associated with the catalog.\",\n      \"args\": [\n        {\n          \"name\": \"first\",\n          \"description\": \"The first `n` elements from the [paginated list](https://shopify.dev/api/usage/pagination-graphql).\",\n          \"type\": {\n            \"kind\": \"SCALAR\",\n            \"name\": \"Int\",\n            \"ofType\": null\n          },\n          \"defaultValue\": null,\n          \"isDeprecated\": false,\n          \"deprecationReason\": null\n        },\n        {\n          \"name\": \"after\",\n          \"description\": \"The elements that come after the specified [cursor](https://shopify.dev/api/usage/pagination-graphql).\",\n          \"type\": {\n            \"kind\": \"SCALAR\",\n            \"name\": \"String\",\n            \"ofType\": null\n          },\n          \"defaultValue\": null,\n          \"isDeprecated\": false,\n          \"deprecationReason\": null\n        }\n      ],\n      \"type\": {\n        \"kind\": \"NON_NULL\",\n        \"name\": null,\n        \"ofType\": {\n          \"kind\": \"OBJECT\",\n          \"name\": \"AppConnection\",\n          \"ofType\": null\n        }\n      },\n      \"isDeprecated\": false,\n      \"deprecationReason\": null\n    },\n    {\n      \"name\": \"id\",\n      \"description\": \"A globally-unique ID.\",\n      \"args\": [],\n      \"type\": {\n        \"kind\": \"NON_NULL\",\n        \"name\": null,\n        \"ofType\": {\n          \"kind\": \"SCALAR\",\n          \"name\": \"ID\",\n          \"ofType\": null\n        }\n      },\n      \"isDeprecated\": false,\n      \"deprecationReason\": null\n    },\n    {\n      \"name\": \"operations\",\n      \"description\": \"Most recent catalog operations.\",\n      \"args\": [],\n      \"type\": {\n        \"kind\": \"NON_NULL\",\n        \"name\": null,\n        \"ofType\": {\n          \"kind\": \"LIST\",\n          \"name\": null,\n          \"ofType\": {\n            \"kind\": \"NON_NULL\",\n            \"name\": null,\n            \"ofType\": {\n              \"kind\": \"INTERFACE\",\n              \"name\": \"ResourceOperation\",\n              \"ofType\": null\n            }\n          }\n        }\n      },\n      \"isDeprecated\": false,\n      \"deprecationReason\": null\n    }\n  ],\n  \"inputFields\": null,\n  \"interfaces\": [\n    {\n      \"kind\": \"INTERFACE\",\n      \"name\": \"Catalog\",\n      \"ofType\": null\n    },\n    {\n      \"kind\": \"INTERFACE\",\n      \"name\": \"Node\",\n      \"ofType\": null\n    }\n  ],\n  \"enumValues\": null,\n  \"possibleTypes\": null\n}\n```","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ObjectType.html#module-example-introspection-payload"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ObjectType.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ObjectType.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ObjectType.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ObjectType.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.OperationType","doc":"There are three types of operations that GraphQL models:\n- query – a read-only fetch.\n- mutation – a write followed by a fetch.\n- subscription – a long-lived request that fetches data in response to source events.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.OperationType.html"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.OperationType.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.OperationType.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.OperationType.operation_type/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.OperationType.html#t:operation_type/0"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.OperationType.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.OperationType.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ScalarType","doc":"Scalar types represent primitive leaf values in a GraphQL type system.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ScalarType.html"},{"type":"module","title":"Example introspection payload - ExShopifySchema.Generator.Graphql.Introspection.Definition.ScalarType","doc":"```json\n{\n  \"kind\": \"SCALAR\",\n  \"name\": \"ARN\",\n  \"description\": \"An Amazon Web Services Amazon Resource Name (ARN), including the Region and account ID.\\nFor more information, refer to [Amazon Resource Names](https://docs.aws.amazon.com/general/latest/gr/aws-arns-and-namespaces.html).\",\n  \"fields\": null,\n  \"inputFields\": null,\n  \"interfaces\": null,\n  \"enumValues\": null,\n  \"possibleTypes\": null\n}\n```","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ScalarType.html#module-example-introspection-payload"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ScalarType.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ScalarType.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ScalarType.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.ScalarType.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Schema","doc":"The schema defines the entry point for operations in a GraphQL","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Schema.html"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Schema.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Schema.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Schema.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Schema.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Type","doc":"A GraphQL type can be a named type, a list type, or a non-null type.\nSee details in the `ExShopifySchema.Graphql.Introspection.Definition.NamedType`,\n`ExShopifySchema.Graphql.Introspection.Definition.ListType`, and\n`ExShopifySchema.Graphql.Introspection.Definition.NonNullType`.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Type.html"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Type.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Type.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Type.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.Type.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.UnionType","doc":"GraphQL Unions represent an object that could be one of a list of\nGraphQL Object types, but provides for no guaranteed fields\nbetween those types.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.UnionType.html"},{"type":"module","title":"Example introspection payload - ExShopifySchema.Generator.Graphql.Introspection.Definition.UnionType","doc":"```json\n{\n  \"kind\": \"UNION\",\n  \"name\": \"PricingValue\",\n  \"description\": \"The type of value given to a customer when a discount is applied to an order. For example, the application of the discount might give the customer a percentage off a specified item. Alternatively, the application of the discount might give the customer a monetary value in a given currency off an order.\",\n  \"fields\": null,\n  \"inputFields\": null,\n  \"interfaces\": null,\n  \"enumValues\": null,\n  \"possibleTypes\": [\n    {\n      \"kind\": \"OBJECT\",\n      \"name\": \"MoneyV2\",\n      \"ofType\": null\n    },\n    {\n      \"kind\": \"OBJECT\",\n      \"name\": \"PricingPercentageValue\",\n      \"ofType\": null\n    }\n  ]\n}\n```","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.UnionType.html#module-example-introspection-payload"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.UnionType.load_json/1","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.UnionType.html#load_json/1"},{"type":"type","title":"ExShopifySchema.Generator.Graphql.Introspection.Definition.UnionType.t/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definition.UnionType.html#t:t/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202404","doc":"The GraphQL introspection struct for version [2024-04](https://shopify.dev/docs/api/admin-graphql/2024-04).","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202404.html"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202404.definition/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202404.html#definition/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202407","doc":"The GraphQL introspection struct for version [2024-07](https://shopify.dev/docs/api/admin-graphql/2024-07).","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202407.html"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202407.definition/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202407.html#definition/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202410","doc":"The GraphQL introspection struct for version [2024-10](https://shopify.dev/docs/api/admin-graphql/2024-10).","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202410.html"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202410.definition/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202410.html#definition/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202501","doc":"The GraphQL introspection struct for version [2025-01](https://shopify.dev/docs/api/admin-graphql/2025-01).","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202501.html"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202501.definition/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202501.html#definition/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202504","doc":"The GraphQL introspection struct for version [2025-04](https://shopify.dev/docs/api/admin-graphql/2025-04).","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202504.html"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202504.definition/0","doc":"","ref":"ExShopifySchema.Generator.Graphql.Introspection.Definitions.V202504.html#definition/0"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Util.Builder","doc":"Utility module for building GraphQL components from introspection JSON data.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Util.Builder.html"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Util.Builder.build_directives/1","doc":"Builds a list of directives from the introspection JSON data.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Util.Builder.html#build_directives/1"},{"type":"function","title":"Example - ExShopifySchema.Generator.Graphql.Introspection.Util.Builder.build_directives/1","doc":"iex> json = [\n    ...>   %{\"name\" => \"include\", \"description\" => \"Include this field if true.\"},\n    ...>   %{\"name\" => \"skip\", \"description\" => \"Skip this field if true.\"}\n    ...> ]\n    iex> ExShopifySchema.Graphql.Introspection.Util.Builder.build_directives(json)\n    [\n      %ExShopifySchema.Graphql.Introspection.Definition.Directive{name: \"include\", description: \"Include this field if true.\"},\n      %ExShopifySchema.Graphql.Introspection.Definition.Directive{name: \"skip\", description: \"Skip this field if true.\"}\n    ]","ref":"ExShopifySchema.Generator.Graphql.Introspection.Util.Builder.html#build_directives/1-example"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Util.Builder.build_operations/1","doc":"Builds a list of operation types from the introspection JSON data.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Util.Builder.html#build_operations/1"},{"type":"function","title":"Example - ExShopifySchema.Generator.Graphql.Introspection.Util.Builder.build_operations/1","doc":"iex> json = %{\n    ...>   \"query_type\" => \"RootQuery\",\n    ...>   \"mutation_type\" => \"Mutation\",\n    ...>   \"subscription_type\" => \"Subscription\"\n    ...> }\n    iex> ExShopifySchema.Graphql.Introspection.Util.Builder.build_operations(json)\n    [\n      %ExShopifySchema.Graphql.Introspection.Definition.OperationType{operation: \"query\", type: \"RootQuery\"},\n      %ExShopifySchema.Graphql.Introspection.Definition.OperationType{operation: \"mutation\", type: \"Mutation\"},\n      %ExShopifySchema.Graphql.Introspection.Definition.OperationType{operation: \"subscription\", type: \"Subscription\"}\n    ]","ref":"ExShopifySchema.Generator.Graphql.Introspection.Util.Builder.html#build_operations/1-example"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Util.Builder.build_types/1","doc":"Builds a list of GraphQL types from the introspection JSON data.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Util.Builder.html#build_types/1"},{"type":"function","title":"Example - ExShopifySchema.Generator.Graphql.Introspection.Util.Builder.build_types/1","doc":"iex> json = [\n    ...>   %{\"kind\" => \"SCALAR\", \"name\" => \"String\"}\n    ...> ]\n    iex> ExShopifySchema.Graphql.Introspection.Util.Builder.build_types(json)\n    [\n      %ExShopifySchema.Graphql.Introspection.Definition.ScalarType{name: \"String\"}\n    ]","ref":"ExShopifySchema.Generator.Graphql.Introspection.Util.Builder.html#build_types/1-example"},{"type":"module","title":"ExShopifySchema.Generator.Graphql.Introspection.Util.Enum","doc":"Utility functions for working with enum values.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Util.Enum.html"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Util.Enum.safe_map/2","doc":"The safe map function is a wrapper around Enum.map that handles nil values gracefully.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Util.Enum.html#safe_map/2"},{"type":"function","title":"Examples - ExShopifySchema.Generator.Graphql.Introspection.Util.Enum.safe_map/2","doc":"iex> safe_map([1, 2, 3], fn x -> x * 2 end)\n    [2, 4, 6]\n\n    iex> safe_map(nil, fn x -> x * 2 end)\n    []","ref":"ExShopifySchema.Generator.Graphql.Introspection.Util.Enum.html#safe_map/2-examples"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Util.Enum.snake_case_keys/1","doc":"Converts a map's keys from camelCase to snake_case recursively.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Util.Enum.html#snake_case_keys/1"},{"type":"function","title":"Examples - ExShopifySchema.Generator.Graphql.Introspection.Util.Enum.snake_case_keys/1","doc":"iex> snake_case_keys(%{\"camelCaseKey\" => \"value\"})\n    %{\"camel_case_key\" => \"value\"}\n\n    iex> snake_case_keys(%{\"nestedMap\" => %{\"anotherKey\" => \"value\"}})\n    %{\"nested_map\" => %{\"another_key\" => \"value\"}}\n\n    iex> snake_case_keys([%{\"listItem\" => \"value\"}])\n    [%{\"list_item\" => \"value\"}]","ref":"ExShopifySchema.Generator.Graphql.Introspection.Util.Enum.html#snake_case_keys/1-examples"},{"type":"function","title":"ExShopifySchema.Generator.Graphql.Introspection.Util.Enum.string_to_atom!/1","doc":"Converts a string to an existing atom.\nIf the corresponding atom does not exist, it raises an error.","ref":"ExShopifySchema.Generator.Graphql.Introspection.Util.Enum.html#string_to_atom!/1"},{"type":"function","title":"Examples - ExShopifySchema.Generator.Graphql.Introspection.Util.Enum.string_to_atom!/1","doc":"iex> string_to_atom!(\"code\")\n    :code","ref":"ExShopifySchema.Generator.Graphql.Introspection.Util.Enum.html#string_to_atom!/1-examples"},{"type":"extras","title":"ExShopifySchema","doc":"# ExShopifySchema\n\nA collection of Elixir schemas for Shopify resources.","ref":"readme.html"},{"type":"extras","title":"Installation - ExShopifySchema","doc":"The package can be installed by adding `ex_shopify_schema`\nto your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ex_shopify_schema, \"~>  .patch\"}\n    # for example: {:ex_shopify_schema, \"~> 2025.4.2\"}\n  ]\nend\n```\n\nDocumentation can be found at  .","ref":"readme.html#installation"},{"type":"extras","title":"Configuration - ExShopifySchema","doc":"You can configure how Ecto types are handled by adding the following to your `config.exs`:\n\n```elixir\nconfig :ex_shopify_schema, :ecto_types,\n  enum: :atom,  # or :string\n  uri: :struct  # or :string\n```","ref":"readme.html#configuration"},{"type":"extras","title":"Available Options - ExShopifySchema","doc":"- **`:enum`** - Controls how GraphQL enum values are handled:\n  - `:atom` (default) - Enum values are treated as atoms\n  - `:string` - Enum values are treated as strings\n\n- **`:uri`** - Controls how URI/URL fields are handled:\n  - `:struct` (default) - URI values are returned as `URI.t()` structs\n  - `:string` - URI values are returned as plain strings","ref":"readme.html#available-options"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}